{
  "name": "mot_structures:village/mangrove/buildings",
  "fallback": "minecraft:empty",
  "elements": [
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/animal_pen/1",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/animal_pen/2",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/animal_pen/3",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/animal_pen/4",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/crops/1",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/crops/2",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/villager/1",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/villager/2",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/villager/3",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/villager/4",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/villager/5",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/villager/6",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/villager/7",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/witch/1",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/witch/2",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/witch/3",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/witch/4",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 1,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/witch/5",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/hybrid/1",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/hybrid/2",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/hybrid/3",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/hybrid/4",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/hybrid/5",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 3,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/hybrid/6",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/apprentice",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/armorer",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/butcher",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/cartographer",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/cleric",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/fisher",
        "processors": "mot_structures:village/mangrove/fisher"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/fletcher",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/library",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/mason",
        "processors": "minecraft:empty"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/shepherd",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/stable",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/temple",
        "processors": "mot_structures:village/mangrove/mossy_roof",
        "override_liquid_settings": "ignore_waterlogging"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/toolsmith",
        "processors": "mot_structures:village/mangrove/mossy_roof"
      }
    },
    {
      "weight": 2,
      "element": {
        "element_type": "minecraft:single_pool_element",
        "projection": "rigid",
        "location": "mot_structures:village/mangrove/buildings/houses/weaponsmith",
        "processors": "minecraft:empty"
      }
    }
  ]
}